charts
Partially update a chart
PATCH
/
api
/
v1
/
charts
/
{chart_id}
Partially update a chart
curl --request PATCH \
--url https://api.example.com/api/v1/charts/{chart_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"title": "<string>",
"description": "<string>",
"source": {
"source_type": "database",
"query": "",
"group_by": [
"<string>"
],
"sort": {
"field": "<string>",
"order": "desc"
},
"limit": 1000,
"time_field": "<string>",
"connection_config_id": "<string>",
"source_options": {}
},
"theme": {
"color_palette": [
"#6366f1",
"#22d3ee",
"#f59e0b",
"#10b981",
"#ef4444"
],
"font_family": "Inter, sans-serif",
"dark_mode": false,
"show_legend": true,
"show_grid": true,
"show_tooltip": true
},
"dimensions": {
"width": 600,
"height": 400,
"responsive": true
},
"refresh_interval": 123,
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<unknown>"
}
],
"permissions": [
"<string>"
],
"config": {},
"organization_id": "<string>",
"project_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/charts/{chart_id}"
payload = {
"name": "<string>",
"title": "<string>",
"description": "<string>",
"source": {
"source_type": "database",
"query": "",
"group_by": ["<string>"],
"sort": {
"field": "<string>",
"order": "desc"
},
"limit": 1000,
"time_field": "<string>",
"connection_config_id": "<string>",
"source_options": {}
},
"theme": {
"color_palette": ["#6366f1", "#22d3ee", "#f59e0b", "#10b981", "#ef4444"],
"font_family": "Inter, sans-serif",
"dark_mode": False,
"show_legend": True,
"show_grid": True,
"show_tooltip": True
},
"dimensions": {
"width": 600,
"height": 400,
"responsive": True
},
"refresh_interval": 123,
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<unknown>"
}
],
"permissions": ["<string>"],
"config": {},
"organization_id": "<string>",
"project_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
title: '<string>',
description: '<string>',
source: {
source_type: 'database',
query: '',
group_by: ['<string>'],
sort: {field: '<string>', order: 'desc'},
limit: 1000,
time_field: '<string>',
connection_config_id: '<string>',
source_options: {}
},
theme: {
color_palette: ['#6366f1', '#22d3ee', '#f59e0b', '#10b981', '#ef4444'],
font_family: 'Inter, sans-serif',
dark_mode: false,
show_legend: true,
show_grid: true,
show_tooltip: true
},
dimensions: {width: 600, height: 400, responsive: true},
refresh_interval: 123,
filters: [{field: '<string>', operator: '<string>', value: '<unknown>'}],
permissions: ['<string>'],
config: {},
organization_id: '<string>',
project_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/charts/{chart_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"title": "<string>",
"description": "<string>",
"source": {
"query": "<string>",
"source_type": "database",
"group_by": [
"<string>"
],
"sort": {
"field": "<string>",
"order": "desc"
},
"limit": 1000,
"time_field": "<string>",
"connection_config_id": "<string>",
"source_options": {}
},
"theme": {
"color_palette": [
"#6366f1",
"#22d3ee",
"#f59e0b",
"#10b981",
"#ef4444"
],
"font_family": "Inter, sans-serif",
"dark_mode": false,
"show_legend": true,
"show_grid": true,
"show_tooltip": true
},
"dimensions": {
"width": 600,
"height": 400,
"responsive": true
},
"refresh_interval": 123,
"filters": [
{
"field": "<string>",
"value": "<unknown>"
}
],
"permissions": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"organization_id": "<string>",
"config": {},
"project_id": "thaink2"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
PATCH /charts/{id} — all fields optional
Required string length:
1 - 255Required string length:
1 - 120Available options:
bar, line, pie, donut, scatter, area, heatmap, table, stat, histogram Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Single chart returned by the API.
Required string length:
1 - 255Available options:
bar, line, pie, donut, scatter, area, heatmap, table, stat, histogram Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related topics
Partially update a dashboardUpdate a key-value component's contentDelete a chartList chartsCreate a chart⌘I
Partially update a chart
